Bug 821067 - openvpn connects, but then has frequent disconnects
openvpn connects, but then has frequent disconnects
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openvpn (Show other bugs)
17
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 14:13 EDT by Benjamin Kahn
Modified: 2013-07-04 03:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 03:32:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
(Slightly cleaned up) system log of openvpn connecting and then, later, dying. (10.70 KB, text/x-log)
2012-05-11 14:13 EDT, Benjamin Kahn
no flags Details

  None (edit)
Description Benjamin Kahn 2012-05-11 14:13:31 EDT
Created attachment 583894 [details]
(Slightly cleaned up) system log of openvpn connecting and then, later, dying.

Description of problem:
openvpn connects, but then has frequent disconnects

I can connect with the VPN, but after 60 minutes or so, the connection dies. First the VPN no longer transmits traffic. Then, after a timeout, it notices that the connection is dead and shows the connection as disconnected.

It does not matter how much I am using the connection. I've seen it die when the machine was locked (although IRC connections were running) and I've seen it die in the middle of a web download.

I have an F16 box on the same network connecting with the same configuration and credentials. It does not experience this problem.

Version-Release number of selected component (if applicable):
openvpn-2.2.2-4.fc17.x86_64

How reproducible:
About every hour or so

Steps to Reproduce:
1. connect to an openvpn server
2. wait
  
Actual results:
vpn connection stops responding and timesout

Expected results:
vpn stays up

Additional info:
Comment 1 David Sommerseth 2012-05-11 14:31:08 EDT
Can you please generate a proper openvpn configuration file and not use NetworkManager-openvpn?  And then add 'verb 4' to you configuration together with 'log /tmp/openvpn.log' ... then provide that log file (/tmp/openvpn.log) together with your configuration file.

The log file you provided contains very little information of why OpenVPN would disconnect.  The only plausible reason is here:

May 11 13:00:36 localhost nm-openvpn[23951]: [ovpn.example.com] Inactivity timeout (--ping-exit), exiting

But a proper configuration file can easier sort out if this is an issue with NetworkManager-openvpn adding stuff which causes these disconnects or if it is a configuration failure or a real bug.
Comment 2 Fedora End Of Life 2013-07-03 23:27:58 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 David Sommerseth 2013-07-04 03:32:42 EDT
As no further information was provided, closing as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.